package com.fjhx.sale.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseDto;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseSelectDto;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * ehsd采购表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseService extends BaseService<EhsdPurchase> {

    /**
     * ehsd采购表分页
     */
    Page<EhsdPurchaseVo> getPage(EhsdPurchaseSelectDto dto);

    /**
     * ehsd采购表明细
     */
    EhsdPurchaseVo detail(Long id);

    /**
     * ehsd采购表新增
     */
    void add(EhsdPurchaseDto ehsdPurchaseDto);

    /**
     * ehsd采购表编辑
     */
    void edit(EhsdPurchaseDto ehsdPurchaseDto);

    /**
     * ehsd采购表删除
     */
    void delete(Long id);

}
